#!/bin/sh

set -e

echo "This script will install SSWF on your Macintosh"
echo "It requires at least Mac OS/X 10.0 -- thought it only was"
echo "tested on Mac OS/X 10.3 at this time"
echo
echo "Note: for the installation to succeed you need to be root"
echo "      thus you need to run this script as root or use 'sudo';"
echo "      for instance:"
echo "          su"
echo "          install.sh"
echo "      or:"
echo "          sudo install.sh"
echo "      To use 'su' you need to know the root password. To use"
echo "      sudo, you need to remember your password and have"
echo "      administrative rights."
echo
echo "If you want to proceed, type 'yes' at the prompt and then enter"
echo "For each file to be overwritten, you will be prompted for confirmation."

# You have 10 minutes to answer or it cancels
answer="no"
read -p "So (yes/[no])? " -t 600 answer

if test "$answer" != "yes"
then
	echo "WARNING: Installation aborted"
	exit 1;
fi

p=`dirname $0`
cd $p/sswf-*
echo "Copying from '`pwd`/*' to '/.'"
cp -Riv usr /
